Botan 1.10.17

Public Member Functions | List of all members
Botan::Algorithm_Not_Found Struct Reference

`#include <exceptn.h>`

Inheritance diagram for Botan::Algorithm_Not_Found:

## Public Member Functions
| Algorithm_Not_Found (const std::string &name)

## Detailed Description

Algorithm_Not_Found Exception

Definition at line 109 of file exceptn.h.

## Constructor & Destructor Documentation

## ◆ Algorithm_Not_Found()

Botan::Algorithm_Not_Found::Algorithm_Not_Found | ( | const std::string & | name | ) |
| inline

Definition at line 111 of file exceptn.h.

111 :
112 Lookup_Error("Could not find any algorithm named \"" + name + "\"")
113 {}
Botan::Lookup_Error::Lookup_Error
Lookup_Error(const std::string &err)
Definition: exceptn.h:37

The documentation for this struct was generated from the following file:

- src/utils/exceptn.h